Index Page jyear_c

A B C D E F G H I J K L M N O P Q R S T U V W X

Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries

#### Procedure

       SpiceDouble jyear_c ( void )

#### Abstract

       Return the number of seconds in a julian year.

#### Required_Reading

       None.

#### Keywords

       CONSTANTS

#### Brief_I/O

       VARIABLE  I/O              DESCRIPTION
       --------  ---  --------------------------------------------------
       jyear_c    O   The number of seconds/julian year

#### Detailed_Input

       None.

#### Detailed_Output

       The function returns the number of seconds per julian
       year.

#### Parameters

       None.

#### Exceptions

       Error free.

#### Files

       None.

#### Particulars

       The julian year is often used as a fundamental unit
       of time when dealing with ephemeris data.  For this
       reason its value in terms of ephemeris seconds is
       recorded in this function.

#### Examples

       Suppose you wish to compute the number of julian centuries
       that have elapsed since the ephemeris epoch J1950 (beginning
       of the julian year 1950) at a particular ET epoch.  The
       following lines of code will do the trick.

          century = ( et - unitim_c ( j1950_c(), "JED", "ET" ) );
          century = century / ( 100.0 * jyear_c() );

#### Restrictions

       None.

#### Literature_References

       Explanatory Supplement to the Astronomical Almanac.
       Page 8. University Science Books, 20 Edgehill Road,
       Mill Valley, CA 94941

#### Author_and_Institution

       E.D. Wright     (JPL)
       W.L. Taber      (JPL)

#### Version

       -CSPICE Version 1.0.0, 08-FEB-1998 (EDW)

#### Index_Entries

       Number of seconds per julian year

#### Link to routine jyear_c source file jyear_c.c

    Wed Apr  5 17:54:37 2017